# Debug Functions
[PCM Interface]

## Functions

int | snd_pcm_dump (snd_pcm_t *pcm, snd_output_t *out)
| Dump PCM info.
int | snd_pcm_dump_hw_setup (snd_pcm_t *pcm, snd_output_t *out)
| Dump current hardware setup for PCM.
int | snd_pcm_dump_sw_setup (snd_pcm_t *pcm, snd_output_t *out)
| Dump current software setup for PCM.
int | snd_pcm_dump_setup (snd_pcm_t *pcm, snd_output_t *out)
| Dump current setup (hardware and software) for PCM.
int | snd_pcm_hw_params_dump (snd_pcm_hw_params_t *params, snd_output_t *out)
| Dump a PCM hardware configuration space.
int | snd_pcm_sw_params_dump (snd_pcm_sw_params_t *params, snd_output_t *out)
| Dump a software configuration.
int | snd_pcm_status_dump (snd_pcm_status_t *status, snd_output_t *out)
| Dump status.

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Function Documentation

int snd_pcm_dump | ( | snd_pcm_t * | pcm,
|  | snd_output_t * | out |
| ) |  |  |

Dump PCM info.

Parameters:

  | pcm | PCM handle
  | out | Output handle

Returns:
  0 on success otherwise a negative error code

Examples:
  /test/latency.c, and /test/pcm.c.

int snd_pcm_dump_hw_setup | ( | snd_pcm_t * | pcm,
|  | snd_output_t * | out |
| ) |  |  |

Dump current hardware setup for PCM.

Parameters:

  | pcm | PCM handle
  | out | Output handle

Returns:
  0 on success otherwise a negative error code

int snd_pcm_dump_setup | ( | snd_pcm_t * | pcm,
|  | snd_output_t * | out |
| ) |  |  |

Dump current setup (hardware and software) for PCM.

Parameters:

  | pcm | PCM handle
  | out | Output handle

Returns:
  0 on success otherwise a negative error code

int snd_pcm_dump_sw_setup | ( | snd_pcm_t * | pcm,
|  | snd_output_t * | out |
| ) |  |  |

Dump current software setup for PCM.

Parameters:

  | pcm | PCM handle
  | out | Output handle

Returns:
  0 on success otherwise a negative error code

int snd_pcm_hw_params_dump | ( | snd_pcm_hw_params_t * | params,
|  | snd_output_t * | out |
| ) |  |  |

Dump a PCM hardware configuration space.

Parameters:

  | params | Configuration space
  | out | Output handle

Returns:
  0 on success otherwise a negative error code

int snd_pcm_status_dump | ( | snd_pcm_status_t * | status,
|  | snd_output_t * | out |
| ) |  |  |

Dump status.

Parameters:

  | status | Status container
  | out | Output handle

Returns:
  0 on success otherwise a negative error code

Examples:
  /test/latency.c.

int snd_pcm_sw_params_dump | ( | snd_pcm_sw_params_t * | params,
|  | snd_output_t * | out |
| ) |  |  |

Dump a software configuration.

Parameters:

  | params | Software configuration container
  | out | Output handle

Returns:
  0 on success otherwise a negative error code

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines